import { connect as reduxConnect } from "react-redux";
import { Reducer } from "redux";
import { type ElementType } from "react";
export interface IMizarComponentEnhancerWithProps {
    (component: ElementType): ElementType;
    (component: ElementType, reducer: Reducer): ElementType;
    (component: ElementType, reducerName: string): ElementType;
    (component: ElementType, subComponents: ElementType[]): ElementType;
    (component: ElementType, reducer: Reducer, reducerName: string): ElementType;
    (component: ElementType, reducer: Reducer, subComponents: ElementType[]): ElementType;
    (component: ElementType, reducerName: string, subComponents: ElementType[]): ElementType;
    (component: ElementType, reducer: Reducer, reducerName: string, subComponents: ElementType[]): ElementType;
}
export interface IMizarConnect {
    (mapStateToProps?: any, mapDispatchToProps?: any, mergeProps?: any, options?: any): IMizarComponentEnhancerWithProps;
}
declare const mizarConnect: IMizarConnect;
export { reduxConnect, mizarConnect as connect, };
