import { getInitialData } from "../../iso/libs/metaCollector.js";
export default async function getSSRInitialData(matchedPageCom, req) {
    const initialData = await getInitialData(matchedPageCom, req);
    let preloadData = {};
    let pageReducerName = "";
    if (initialData.preloadData) {
        preloadData = initialData.preloadData;
    }
    if (initialData.pageReducerName) {
        pageReducerName = initialData.pageReducerName;
    }
    return {
        preloadData,
        pageReducerName,
        pageComName: initialData.pageComName,
    };
}
