export default class StringUtil {
    static getRightCharacter(str) {
        const arr = str.split("");
        return arr[arr.length - 1];
    }
    static decodeHtml(str) {
        str = str.replace(/&amp;/g, "&");
        str = str.replace(/&lt;/g, "<");
        str = str.replace(/&gt;/g, ">");
        str = str.replace(/&quot;/g, "'");
        str = str.replace(/&#039;/g, "'");
        return str;
    }
    static encodeHtml(str) {
        str = str.replace(/&/g, "&amp;");
        str = str.replace(/</g, "&lt;");
        str = str.replace(/>/g, "&gt;");
        str = str.replace(/"/g, "&quot;");
        str = str.replace(/'/g, "&#039;");
        return str;
    }
    static cleanLFAndSpace(str) {
        if (typeof str !== "string") {
            return JSON.stringify(str);
        }
        return str.replace(/\r|\n|\t/g, " ").replace(/\s+/g, " ");
    }
}
