import React from "react";
import { type Params, type RouteMatch } from "react-router-dom";
import { type IInitialRenderData, type IMatchedRouteCom } from "../../interface.js";
export declare function registerRedux(reducer: any, reducerName: any, component: any, subComponents: any): void;
export declare function getRootReducer(): any;
export declare function getMatchedComponent(matchedRoute: RouteMatch): {
    element: React.ReactNode;
    pageComName?: string;
    params?: Params;
} | null;
export declare function getInitialData(matchedPageCom: IMatchedRouteCom, request: any): Promise<IInitialRenderData>;
