/// <reference types="react" />
import { ChunkExtractor } from "@loadable/server";
import { type Request, type Response } from "express";
import ReactDomServer from "react-dom/server";
import { type RouteMatch } from "react-router-dom";
import { type IMetaProps, type IPageRouter } from "../../interface.js";
export declare const createScriptElement: (url: string | JSX.Element, index?: number) => JSX.Element;
export declare const createStyleElement: (url: string | JSX.Element, index?: number) => JSX.Element;
export declare function getHtmlMeta(extractor: ChunkExtractor): IMetaProps;
export declare function getErrorPageRenderString(): string;
export declare function getResponsePage(req: Request, res: Response, pageRouter: IPageRouter[], matchedRoute: RouteMatch): Promise<ReactDomServer.PipeableStream>;
