interface IGetLogger {
    getLogger(category?: string): ILogger;
    [propName: string]: any;
}
interface ILogger {
    info: (...args: any) => void;
    log: (...args: any) => void;
    warn: (...args: any) => void;
    error: (...args: any) => void;
    [propName: string]: any;
}
export declare function setLogger(logger: IGetLogger): void;
export default function getLogger(): any;
export {};
